Active Make Methods
The active make methods resource.
Basehttps://rest.carbon.ms/activeMakeMethods
GET
/activeMakeMethodsList active make methodss
Retrieve a paginated list of active make methodss. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
GEThttps://rest.carbon.ms/activeMakeMethods
curl --request GET \
--url 'https://rest.carbon.ms/activeMakeMethods?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'Response
[
{
"id": "abc123def456",
"itemId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"updatedAt": "2026-01-01T00:00:00Z",
"updatedBy": "string",
"customFields": "string"
}
]GET
/activeMakeMethodsRetrieve a active make methods
Fetch a single active make methods by filtering on `id`.
Query parameters
idstringMatch on the active make methods's `id`, e.g. `eq.{id}`.
GEThttps://rest.carbon.ms/activeMakeMethods
curl --request GET \
--url 'https://rest.carbon.ms/activeMakeMethods?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'Response
{
"id": "abc123def456",
"itemId": "xyz789",
"companyId": "xyz789",
"createdAt": "2026-01-01T00:00:00Z",
"createdBy": "string",
"updatedAt": "2026-01-01T00:00:00Z",
"updatedBy": "string",
"customFields": "string"
}